[ruby-cvs:67939] ko1:r60758 (trunk): use RUBY_API_VERSION as ISEQ versions.

ko1 at ruby-lang.org ko1 at ruby-lang.org
Tue Nov 14 10:37:41 JST 2017


ko1	2017-11-14 10:37:41 +0900 (Tue, 14 Nov 2017)

  New Revision: 60758

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=60758

  Log:
    use RUBY_API_VERSION as ISEQ versions.
    
    * iseq.h: use RUBY_API_VERSION_MAJOR for ISEQ_MAJOR_VERSION and
      RUBY_API_VERSION_MINOR for ISEQ_MINOR_VERSION.
      We need to keep compatibility for ISeq during same major/minor versions.
      If we need to change compatibility between teeny versions, we should use
      (RUBY_API_VERSION_MINOR * 10 + iseq revs) for ISEQ_MINOR_VERSION.

  Modified files:
    trunk/iseq.h


More information about the ruby-cvs mailing list